Sign in to follow this  
Chocorua

GTN750 V3 compatible

Recommended Posts

Flight1 has released the GTN650/750 for P3D3, not sure if this has been posted or not. 

 

Have fun! 

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

Sweet - I haven't switched mainly because of this hehe

Share this post


Link to post

This is not accurate.  Sorry, no patch has been released yet.

Share this post


Link to post

Ummm, how is it it works now? No error message when loading a panel with it configured? It installed into V3 just fine, apparently anyway.

Share this post


Link to post

Check Simforums, I would guess they would issue a 1.12 patch.

 

Checked, no patch noted yet. Can you confirm you have full function in v3?

Share this post


Link to post

jrhodes is the boss of FlightOne for pete's sake, so he should know.

Share this post


Link to post

OK, it installed with no trickery and no error. I did notice there was no "TAWS system test OK " announcement but it lit up and seemed to function fine. However, now that I flew it for 30 miles I see some clear stuttering that goes away when loading another panel without it...

 

Never mind, over-zealous anticipation humbling me before the masses.

Share this post


Link to post

Great news!

I was mistaken...hopefully you read through this thread and noticed Jim Rhoads' remark about it not being patched for V3.

.  

Share this post


Link to post

If you have the F1Update Tool run it and will update to P3D V3 automagically...have just done it.

 

Jorge

Share this post


Link to post

Yep, just ran the updater and it gives an install path for P3D ver. 3

Share this post


Link to post

Let me get this clear.  I uninstalled the GTN750 prior to losing 2.5 from my system - I thought as per F1 instruction.  I left the Garmin Lite.  What/where is this F1Update Tool - and should I a) run this before re-installing the GTN with current installer,  b)  re-install the GTN with current installer, then run this update tool, or c) go stick my head in the sand until Jim Rhodes says there's a new installer

 

or d} download an X-plane trial  and do a Chas . . .

 

(take the money, don't open the box . . .)

Share this post


Link to post

I vote for Option C - it is *possible* that there is an update not announced yet but if Jim says no - I am inclined to believe him.

 

Vic

Share this post


Link to post

It worked before as long as you have a 2.5 installation. Would prefer a full V3 installer though before I get rid of 2.5 which I will mainly do to save space on my ssd.

Share this post


Link to post

It worked before as long as you have a 2.5 installation. Would prefer a full V3 installer though before I get rid of 2.5 which I will mainly do to save space on my ssd.

I ran the tool and it found the update for p3dv3, configured the a2a Comanche 250 for the 750, not working,

any suggestions

 

bob

Share this post


Link to post

I also found GTN 750 not working, radios work fine but no map. So I guess the fix is not yet complete

 

Edit*

 

Haven't tried this, but maybe mine is not working because I didn't install the Garmin lite again (since I already had it), but the installer for GTN is not aware that you already had it installed.

 

and there is no way to tell GTN where it is. I mean the only thing not working is the map (needs the Garmin program)

 

The update tool said it was compatible for ver. 3.

 

edit 2

 

Just checked, support forum at Flight1 still says, it's not ready for  ver. 3 

Share this post


Link to post

Just loaded GTN 750 in the A2A Cessna 182, after re-loading the Garmin Lite trainer. Working fine. Now the migration tool is upgraded to v.3 I have got my favourite aircraft installed as well and working better than ever. Really happy.

Share this post


Link to post

reinstalled the 750 but getting errors.  only have v3 so now what? says cannot find sim path and something about fixing registry errors.

Share this post


Link to post

I saw earlier in this thread that it's not yet compatible with V3.

Share this post


Link to post

ok the update tools shows support for V3 now thought it was ready. thanks

Share this post


Link to post

If you get errors after the install, it will still work as long as you run the update tool. The only problem is that you cant install the the 2d gps in addon planes unless you do it manually, but it works if there is a config for a plane that integrates in the VC. This has been working since version 1.11. I have it working in all the a2a planes

Share this post


Link to post

The way I'm reading this is it does work in P3D V3 its just not officially supported yet by Flight1?

 

I guess I will just wait for the official word from Flight1.

Share this post


Link to post

The way I'm reading this is it does work in P3D V3 its just not officially supported yet by Flight1?

 

I guess I will just wait for the official word from Flight1.

Does this convince you?

 

22191739401_2b9e3d6e8c_o.png

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this